import 'package:businesslibrary/api/data_api.dart';
import 'package:businesslibrary/api/shared_prefs.dart';
import 'package:businesslibrary/data/company.dart';
import 'package:businesslibrary/data/govt_entity.dart';
import 'package:businesslibrary/data/purchase_order.dart';
import 'package:businesslibrary/data/user.dart';
import 'package:businesslibrary/util/snackbar_util.dart';
import 'package:flutter/material.dart';

class PurchaseOrderPage extends StatefulWidget {
  @override
  _PurchaseOrderPageState createState() => _PurchaseOrderPageState();
}

class _PurchaseOrderPageState extends State<PurchaseOrderPage> {
  final GlobalKey<ScaffoldState> _scaffoldKey = new GlobalKey<ScaffoldState>();

  PurchaseOrder purchaseOrder  =  PurchaseOrder();
  User user;
  GovtEntity govtEntity;
  Company company;

  @override
  void initState() {
    super.initState();
    _getCachedPrefs();
  }

  _getCachedPrefs() async {
    user = await SharedPrefs.getUser();
    govtEntity = await SharedPrefs.getGovEntity();
    company = await SharedPrefs.getCompany();
  }
  _savePurchaseOrder() async {
    DataAPI  api = DataAPI();
    var key = await api.registerPurchaseOrder(purchaseOrder);
    if (key == '0') {
      AppSnackbar.showErrorSnackbar(context: context,
          scaffoldKey: _scaffoldKey,
          message: 'Error submitting purchase order',
          actionLabel: 'close');
    } else {
      AppSnackbar.showSnackbarWithAction(context: context,
          scaffoldKey: _scaffoldKey,
          message: 'Purchase Order submitted successfully',
          actionLabel: 'Done', icon: Icons.done));

    }

  }
  _confirm() {
    //show dialog and ....
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      key: _scaffoldKey,
      appBar: AppBar(
        title: Text('Purchase Order'),
      ),
      body: Column(),
      floatingActionButton: FloatingActionButton(
        elevation: 16.0,
        onPressed: _confirm,
        child: IconButton(
          icon: Icon(Icons.add),
        ),
      ),
    );
  }
}
